#!/usr/bin/env bash

k8s_last_config () (
    dasel --read yaml --write json  \
  | jq --raw-output '.metadata.annotations["kubectl.kubernetes.io/last-applied-configuration"]' \
  | dasel --read json  --write yaml \
  | bat --language yaml
)

_add_path () {
    if [ ! -d "$1" ]; then
        return
    fi
    case "${PATH}" in
        *"$1"*) return ;;
        *) ;;
    esac
    PATH="${PATH}:$1"
}

_add_path "/usr/local/opt/mysql-client/bin"
_add_path "${HOME}/google-cloud-sdk/bin"

unset _add_path
